package com.dcsoft.system.api.factory;

import com.dcsoft.common.core.domain.R;
import com.dcsoft.common.core.web.page.TableDatasInfo;
import com.dcsoft.system.api.RemoteStudentService;
import com.dcsoft.system.api.domain.FaceStudentBody;
import com.dcsoft.system.api.domain.SysFile;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * 日志服务降级处理
 *
 * @author dcsoft
 */
@Component
public class RemoteStudentFallbackFactory implements FallbackFactory<RemoteStudentService>
{
    private static final Logger log = LoggerFactory.getLogger(RemoteStudentFallbackFactory.class);

    @Override
    public RemoteStudentService create(Throwable throwable)
    {
        log.error("学生信息调用失败:{}", throwable.getMessage());
        return new RemoteStudentService()
        {
            @Override
            public TableDatasInfo studentList(FaceStudentBody faceStudent, String source)
            {
                return null;
            }
            @Override
            public void gatherMonth(String source)
            {
                return ;
            }
            @Override
            public void backUp(String source)
            {
                return ;
            }

            @Override
            public void gather(String source)
            {
                return ;
            }

            @Override
            public void peopleLeave(String source) {
                return ;
            }

            @Override
            public void saveAskForLeave(String source) {

            }

            @Override
            public void saveCardReplacement(String inner) {

            }

            @Override
            public void batchDistribute(String inner) {

            }

            @Override
            public void saveBranchTree(String inner) {

            }

            @Override
            public void saveUserInfo(String inner) {

            }

            @Override
            public void saveStation(String inner) {

            }

            @Override
            public void batchDown(String inner) {

            }

            @Override
            public void expireVisCarryStuff() {

            }

        };

    }
}
